"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var View_1 = require("react-nativescript/dist/components/View");
var pager_1 = require("../pager");
var _PagerItem = (function (_super) {
    __extends(_PagerItem, _super);
    function _PagerItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.item = new pager_1.PagerItem();
        return _this;
    }
    _PagerItem.prototype.componentDidMount = function () {
        var view = this.myRef.current;
        var parent = view && view.parent ? view.parent : null;
        if (parent) {
            parent._removeView(view);
            this.item.addChild(view);
            console.log(this.item.getChildAt(0));
            parent._addChildFromBuilder('PagerItem', this.item);
        }
    };
    _PagerItem.prototype.render = function () {
        var _a = this.props, forwardedRef = _a.forwardedRef, onPropertyChange = _a.onPropertyChange, children = _a.children, rest = __rest(_a, ["forwardedRef", "onPropertyChange", "children"]);
        return React.createElement('pagerItem', __assign({}, rest, { ref: forwardedRef || this.myRef }), children);
    };
    return _PagerItem;
}(View_1.RCTView));
exports._PagerItem = _PagerItem;
var ɵ0 = function (props, ref) {
    var children = props.children, rest = __rest(props, ["children"]);
    return React.createElement(_PagerItem, __assign({}, rest, { forwardedRef: ref }), children);
};
exports.ɵ0 = ɵ0;
exports.$PagerItem = React.forwardRef(ɵ0);
//# sourceMappingURL=pager-item.js.map